QGIS Application - Bug report #7112
Identify feature on a splitted polygon does not return attributes properly on one of the two parts
2013-02-06 06:00 PM - Olivier Dalang

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16186
Description

Hi !

Just after splitting a polygon, while still in editing mode, one of the two parts does not display any attributes with the Identify Feature tool.

After quitting the editing mode, both parts have the right attributes.

This is a cosmetic problem for the Identify Feature Tool, but is very annoying when you open the Feature Form, since it will reset all values
to null.

The bug does not exist in 1.8.

Regards,

Olivier

Related issues:
Related to QGIS Application - Bug report # 7267: loss of attributes during sp... Closed 2013-03-03

History

#1 - 2013-02-07 12:03 AM - Giovanni Manghi
- Target version set to Version 2.0.0
- Priority changed from Normal to Severe/Regression

- Category set to Vectors

if is a regression is a blocker.

#2 - 2013-03-13 07:39 AM - Alexandre Neto

| can confirm this behavior in spilit feature in 1.9. Both identify tool and feature form tool doesn't show any attributes for one of the resulting feature. In the

table of attributes all attributes are listed correctly.

#3 - 2013-06-28 01:23 AM - Giovanni Manghi

- Category changed from Vectors to Digitising

#4 - 2013-07-06 12:38 AM - Radim Blazek
- Status changed from Open to Closed

2025-12-20 12




Fixed in changeset commit:"0f578a46062ec74139066891f63d693d308f2f1e".
